Subject: [amos-list] Vs: [amos-list] Cool effects?
From: "Sasu Lintula" <[email-masked]>
To: <[email-masked]>
Date: Fri, 9 Jul 1999 11:03:21 +0300

From:	"Sasu Lintula" <[email-masked]>

Hi Leto,

>
>On 08-Jul-99, Leto Kauler wrote:
>
>> Is there any way to create transparency effects in AMOS?  As in,
>> maybe a bob which is partially see-through over a picture
>> background.....?
>
>
>You could do bitplane tricks, like only writing to certain planes or making
the second half of your palette a darker/brighter copy of the first part and
make the bob
>appear on the last bitplane:)
>
>(not really sure if what I said is technically correct,
> but i did manage something like that with the Set Bob
> command... with experimentation.. as i've never fully
> understood the SetBob command:)
>
>You could also use the AMCAF shadebobs and shadepixels:)
>
>(for some reason I once managed a very clever transparency
> of a small multicolour ship bob by using a bob grabbed in a 16
> colour screen and displayed on a 32col screen, but I never
> figured how it happened coz I lost the source and pics when I
> unknowingly repartitioned my drive...)
>

I have that kind of routine lying in my drawer somewhere, just have to find
it. I wrote it 'cause I wanted to have transparent explosions in my game. It
works nicely and is fast (and uses Set Bob command)...

[Sasu Lintula]

--------------------------- ONElist Sponsor ----------------------------

Attention ONElist list owners!
http://www.onelist.com/info/news.html
Check out the new "DEFAULT MODERATED STATUS" option.

------------------------------------------------------------------------
Official AMOS WWW: http://members.xoom.com/AmosFactory/front.html